'use strict';
(function( $ ) {
  var tables = $( '#wp-tables' );
  tables.bsmSelect({
    animate: true,
    title: dbReset.selectTable,
    plugins: [$.bsmSelect.plugins.compatibility()]
  });
  
  tables.on( 'change', function() {
    $( '#reactivate' ).showIfSelected( 'options' );
  });

  $( '#db-reset-code-confirm' ).on( 'change keyup paste', function() {
    $( '#db-reset-submit' ).prop( 'disabled', $( this ).val() !== 'WIPE' );
  });

  $( '#db-reset-submit' ).on('click', function(e) {
    e.preventDefault();
    if ( confirm( dbReset.confirmAlert ) ) {
      unsaved = false;
      $( '#db-reset-form' ).submit();
    }
  });

  $.fn.showIfSelected = function( selectValue ) {
    $( this ).toggle( $( "option[value='" + selectValue + "']:selected", tables ).length > 0 );
  }

})( jQuery );
