<?php
function wpsw_instareset() {
    global $wpdb;
    $wp_tables = $wpdb->tables();
?>
  <form method="post" id="db-reset-form" CLASS="form">
    <p><?php esc_html_e( 'Database Wipe will completely revert the selected WordPress database tables to the original state they had after the initial installation of WordPress.', 'wp-setup-wizard' ); ?></p>

<p><?php esc_html_e( 'Beware - all your data from the selected databases will be deleted. If you select to wipe user database, only the admin user will remain after the process is finished.', 'wp-setup-wizard' ); ?></p>

<p><?php esc_html_e( 'Installed themes and plugins will remain installed but will be deactivated after the wiping process is finished (warning, if you have a required plugin that needs to be kept enabled for your site to function properly, do not use the Database Wipe feature).', 'wp-setup-wizard' ); ?> </p>
    <div id="advanced_instareset">
<h4><?php esc_html_e( 'Select the database tables to be wiped', 'wp-setup-wizard' ) ?>:</h4>

<div class="cr_width_full" id="select-container">
  <select class="cr_width_full" id="wp-tables" multiple="multiple" name="db-reset-tables[]">
    <?php foreach ( $wp_tables as $key => $value ) : ?>
      <option value="<?php echo $key ?>" selected="selected"><?php echo $key ?></option>
    <?php endforeach ?>
  </select>
</div>

<p id="reactivate">
  <label for="db-reset-reactivate-theme-data">
    <input type="checkbox" name="db-reset-reactivate-theme-data" id="db-reset-reactivate-theme-data" value="true" />
    <?php esc_html_e( 'Reactivate currently active theme and plugins after database wiping?', 'wp-setup-wizard' ) ?>
  </label>
</p>
</div>
<p>
    <h4><?php esc_html_e( 'To get started, input "WIPE" in the text field below', 'wp-setup-wizard' ); ?>:</h4>
    <input type="text" name="db-reset-code-confirm" id="db-reset-code-confirm">
</p>
<p>
  <button type="submit" name="db-reset-submit" value="<?php esc_html_e( 'Wipe Tables', 'wp-setup-wizard' ) ?>" id="db-reset-submit" class='button button-primary' disabled /><i class="fa fa-check"></i> <?php esc_html_e( 'Run!', 'wp-setup-wizard' ); ?></button>

<br/>
<br/>
  <div class="notice notice-warning inline"><p> <i class="fa fa-warning"></i> <b><?php esc_html_e( 'Caution!', 'wp-setup-wizard' ); ?></b> <?php esc_html_e( 'By clicking "Run" button, all data from the selected databases from above will be permanently deleted! It is recommend to do a', 'wp-setup-wizard' );echo ' <a href="' . admin_url('admin.php?page=wpsw_security#vcc-Backup') .'" target="_blank">'; esc_html_e( 'full database backup', 'wp-setup-wizard' );echo '</a> ';esc_html_e('before you attempt to make a database wipe, so you can recover your site in case of errors during the wiping process!', 'wp-setup-wizard' ); ?></div>

</p>
</form>
<?php
}
?>