<?php
function wpsw_al_searchItems($region, $public_key, $associate_tag, $rule_keywords, $product_type, $additionalParam, $min_price, $max_price, $node, $page_nr, $max)
{
    $items = false;
    if(!class_exists('clEPNAPIAccess'))
    {
        require_once (dirname(__FILE__) . "/epn/clEPNAPIAccess.php");
    }
    $epn = new clEPNAPIAccess(trim($public_key), trim($associate_tag));
    if($rule_keywords == '*')
    {
        $rule_keywords = '';
    }
    $search_arr = array (
        'query' => $rule_keywords,
        'limit' => $max,
        'offset' => $page_nr
    );
    if($product_type !== 'all')
    {
        $search_arr['category'] = $product_type;
    }
    $epn->AddRequestSearch (
        'search_1',
        $search_arr
    );
    if($epn->RunRequests()) 
    {
        if (($offers_tmp = $epn->GetRequestResult('search_1')) && isset($offers_tmp['offers'])) {
            $items = $offers_tmp['offers'];
            if(!is_array($items))
            {
                wpsw_log_to_file('Invalid response received from api ' . print_r($items, true));
                return false;
            }
        }
        else
        {
            wpsw_log_to_file('Invalid response from EPN API: ' . print_r($offers_tmp, true) . ' -- search: '. print_r($search_arr, true));
            return false;
        }
    }
    else 
    {
        wpsw_log_to_file('RunRequests failed: ' . $epn->LastError());
        return false;
    }
    return $items;
}
?>