<?php
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\api\DefaultApi;
use Amazon\ProductAdvertisingAPI\v1\ApiException;
use Amazon\ProductAdvertisingAPI\v1\Configuration;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\SearchItemsRequest;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\SearchItemsResource;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\PartnerType;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\ProductAdvertisingAPIClientException;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\GetItemsRequest;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\GetItemsResource;

function wpsw_amazon_searchItems_v5($region, $public_key, $private_key, $associate_tag, $keyword, $product_type, $additionalParam, $min_price, $max_price, $node, $page_nr, $max)
{
    $host = 'us-east-1';
    if($region == 'com')
    {
        $host = 'us-east-1';
    }elseif($region == 'co.uk')
    {
        $host = 'eu-west-1';
    }elseif($region == 'ae')
    {
        $host = 'eu-west-1';
    }elseif($region == 'com.tr')
    {
        $host = 'eu-west-1';
    }elseif($region == 'es')
    {
        $host = 'eu-west-1';
    }elseif($region == 'sg')
    {
        $host = 'us-west-2';
    }elseif($region == 'com.mx')
    {
        $host = 'us-east-1';
    }elseif($region == 'co.jp')
    {
        $host = 'us-west-2';
    }elseif($region == 'it')
    {
        $host = 'eu-west-1';
    }elseif($region == 'ca')
    {
        $host = 'us-east-1';
    }elseif($region == 'de')
    {
        $host = 'eu-west-1';
    }elseif($region == 'fr')
    {
        $host = 'eu-west-1';
    }elseif($region == 'com.br')
    {
        $host = 'us-east-1';
    }elseif($region == 'in')
    {
        $host = 'eu-west-1';
    }elseif($region == 'com.au')
    {
        $host = 'us-west-2';
    }
    $region = 'webservices.amazon.' . $region;
    $xtemp = $region;
    $region = $host;
    $host = $xtemp;
    require_once(__DIR__ . '/amazon/vendor/autoload.php');
    $config = new Configuration();

    /*
     * Add your credentials
     * Please add your access key here
     */
     
    $config->setAccessKey($public_key);
    # Please add your secret key here
    $config->setSecretKey($private_key);

    # Please add your partner tag (store/tracking id) here
    $partnerTag = $associate_tag;

    /*
     * PAAPI host and region to which you want to send request
     * For more details refer: https://webservices.amazon.com/paapi5/documentation/common-request-parameters.html#host-and-region
     */
    $config->setHost($host);
    $config->setRegion($region);

    $apiInstance = new DefaultApi(
    /*
     * If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
     * This is optional, `GuzzleHttp\Client` will be used as default.
     */
        new GuzzleHttp\Client(), $config);

    # Request initialization

    /*
     * Specify the category in which search request is to be made
     * For more details, refer: https://webservices.amazon.com/paapi5/documentation/use-cases/organization-of-items-on-amazon/search-index.html
     */
    $searchIndex = $product_type;

    # Specify item count to be returned in search result
    $itemCount = intval($max);

    /*
     * Choose resources you want from SearchItemsResource enum
     * For more details, refer: https://webservices.amazon.com/paapi5/documentation/search-items.html#resources-parameter
     */
    $resources = array(
        SearchItemsResource::BROWSE_NODE_INFOBROWSE_NODES,
            SearchItemsResource::BROWSE_NODE_INFOBROWSE_NODESANCESTOR,
            SearchItemsResource::BROWSE_NODE_INFOBROWSE_NODESSALES_RANK,
            SearchItemsResource::BROWSE_NODE_INFOWEBSITE_SALES_RANK,
            SearchItemsResource::IMAGESPRIMARYSMALL,
            SearchItemsResource::IMAGESPRIMARYMEDIUM,
            SearchItemsResource::IMAGESPRIMARYLARGE,
            SearchItemsResource::IMAGESVARIANTSSMALL,
            SearchItemsResource::IMAGESVARIANTSMEDIUM,
            SearchItemsResource::IMAGESVARIANTSLARGE,
            SearchItemsResource::ITEM_INFOBY_LINE_INFO,
            SearchItemsResource::ITEM_INFOCONTENT_INFO,
            SearchItemsResource::ITEM_INFOCONTENT_RATING,
            SearchItemsResource::ITEM_INFOCLASSIFICATIONS,
            SearchItemsResource::ITEM_INFOEXTERNAL_IDS,
            SearchItemsResource::ITEM_INFOFEATURES,
            SearchItemsResource::ITEM_INFOMANUFACTURE_INFO,
            SearchItemsResource::ITEM_INFOPRODUCT_INFO,
            SearchItemsResource::ITEM_INFOTECHNICAL_INFO,
            SearchItemsResource::ITEM_INFOTITLE,
            SearchItemsResource::ITEM_INFOTRADE_IN_INFO,
            SearchItemsResource::OFFERSLISTINGSAVAILABILITYMAX_ORDER_QUANTITY,
            SearchItemsResource::OFFERSLISTINGSAVAILABILITYMESSAGE,
            SearchItemsResource::OFFERSLISTINGSAVAILABILITYMIN_ORDER_QUANTITY,
            SearchItemsResource::OFFERSLISTINGSAVAILABILITYTYPE,
            SearchItemsResource::OFFERSLISTINGSCONDITION,
            SearchItemsResource::OFFERSLISTINGSCONDITIONSUB_CONDITION,
            SearchItemsResource::OFFERSLISTINGSDELIVERY_INFOIS_AMAZON_FULFILLED,
            SearchItemsResource::OFFERSLISTINGSDELIVERY_INFOIS_FREE_SHIPPING_ELIGIBLE,
            SearchItemsResource::OFFERSLISTINGSDELIVERY_INFOIS_PRIME_ELIGIBLE,
            SearchItemsResource::OFFERSLISTINGSDELIVERY_INFOSHIPPING_CHARGES,
            SearchItemsResource::OFFERSLISTINGSIS_BUY_BOX_WINNER,
            SearchItemsResource::OFFERSLISTINGSLOYALTY_POINTSPOINTS,
            SearchItemsResource::OFFERSLISTINGSMERCHANT_INFO,
            SearchItemsResource::OFFERSLISTINGSPRICE,
            SearchItemsResource::OFFERSLISTINGSPROGRAM_ELIGIBILITYIS_PRIME_EXCLUSIVE,
            SearchItemsResource::OFFERSLISTINGSPROGRAM_ELIGIBILITYIS_PRIME_PANTRY,
            SearchItemsResource::OFFERSLISTINGSPROMOTIONS,
            SearchItemsResource::OFFERSLISTINGSSAVING_BASIS,
            SearchItemsResource::OFFERSSUMMARIESHIGHEST_PRICE,
            SearchItemsResource::OFFERSSUMMARIESLOWEST_PRICE,
            SearchItemsResource::OFFERSSUMMARIESOFFER_COUNT,
            SearchItemsResource::PARENT_ASIN,
            SearchItemsResource::RENTAL_OFFERSLISTINGSAVAILABILITYMAX_ORDER_QUANTITY,
            SearchItemsResource::RENTAL_OFFERSLISTINGSAVAILABILITYMESSAGE,
            SearchItemsResource::RENTAL_OFFERSLISTINGSAVAILABILITYMIN_ORDER_QUANTITY,
            SearchItemsResource::RENTAL_OFFERSLISTINGSAVAILABILITYTYPE,
            SearchItemsResource::RENTAL_OFFERSLISTINGSBASE_PRICE,
            SearchItemsResource::RENTAL_OFFERSLISTINGSCONDITION,
            SearchItemsResource::RENTAL_OFFERSLISTINGSCONDITIONSUB_CONDITION,
            SearchItemsResource::RENTAL_OFFERSLISTINGSDELIVERY_INFOIS_AMAZON_FULFILLED,
            SearchItemsResource::RENTAL_OFFERSLISTINGSDELIVERY_INFOIS_FREE_SHIPPING_ELIGIBLE,
            SearchItemsResource::RENTAL_OFFERSLISTINGSDELIVERY_INFOIS_PRIME_ELIGIBLE,
            SearchItemsResource::RENTAL_OFFERSLISTINGSDELIVERY_INFOSHIPPING_CHARGES,
            SearchItemsResource::RENTAL_OFFERSLISTINGSMERCHANT_INFO);

    # Forming the request
    $searchItemsRequest = new SearchItemsRequest();
    $searchItemsRequest->setSearchIndex($searchIndex);
    if($keyword != '' && $keyword != '*')
    {
        $searchItemsRequest->setKeywords($keyword);
    }
    $searchItemsRequest->setItemCount($itemCount);
    $searchItemsRequest->setPartnerTag($partnerTag);
    $searchItemsRequest->setPartnerType(PartnerType::ASSOCIATES);
    $searchItemsRequest->setResources($resources);
    if($min_price != '')
    {
        $searchItemsRequest->setMinPrice(intval($min_price));
    }
    if($max_price != '')
    {
        $searchItemsRequest->setMaxPrice(intval($max_price));
    }
    if($node != '')
    {
        $searchItemsRequest->setBrowseNodeId($node);
    }
    if($page_nr != '' && intval($page_nr) > 1 && intval($page_nr) <= 10)
    {
        $searchItemsRequest->setItemPage(intval($page_nr));
    }
    if(isset($additionalParam['Sort']))
    {
        $searchItemsRequest->setSortBy($additionalParam['Sort']);
    }
    if(isset($additionalParam['Actor']))
    {
        $searchItemsRequest->setActor($additionalParam['Actor']);
    }
    if(isset($additionalParam['Artist']))
    {
        $searchItemsRequest->setArtist($additionalParam['Artist']);
    }
    if(isset($additionalParam['Author']))
    {
        $searchItemsRequest->setAuthor($additionalParam['Author']);
    }
    if(isset($additionalParam['AudienceRating']))
    {
        $searchItemsRequest->setMinReviewsRating(intval($additionalParam['AudienceRating']));
    }
    if(isset($additionalParam['Availability']))
    {
        $searchItemsRequest->setAvailability($additionalParam['Availability']);
    }
    if(isset($additionalParam['Brand']))
    {
        $searchItemsRequest->setBrand($additionalParam['Brand']);
    }
    if(isset($additionalParam['Condition']))
    {
        $searchItemsRequest->setCondition($additionalParam['Condition']);
    }
    if(isset($additionalParam['MerchantId']))
    {
        $searchItemsRequest->setMerchant($additionalParam['MerchantId']);
    }
    if(isset($additionalParam['MinPercentageOff']))
    {
        $searchItemsRequest->setMinSavingPercent($additionalParam['MinPercentageOff']);
    }
    # Validating request
    $invalidPropertyList = $searchItemsRequest->listInvalidProperties();
    $length = count($invalidPropertyList);
    if ($length > 0) {
        wpsw_log_to_file("Error forming the request!");
        foreach ($invalidPropertyList as $invalidProperty) {
            wpsw_log_to_file('invalidProperty: ' . $invalidProperty);
        }
        throw new Exception('Invalid properties set!');
    }
    # Sending the request
    try {
        $searchItemsResponse = $apiInstance->searchItems($searchItemsRequest);
        # Parsing the response
        if ($searchItemsResponse->getSearchResult() != null) {
            
            $items = $searchItemsResponse->getSearchResult()->getItems();
            if ($items == null) {
                wpsw_log_to_file( 'Items is null: ' . print_r($searchItemsResponse, true));
                throw new Exception('Items is null!');
            }
            return $items;
        }
        if ($searchItemsResponse->getErrors() != null) {
            wpsw_log_to_file( 'Printing Errors:');
            wpsw_log_to_file( 'Error code: '. $searchItemsResponse->getErrors()[0]->getCode());
            wpsw_log_to_file( 'Error message: ' . $searchItemsResponse->getErrors()[0]->getMessage());
            wpsw_log_to_file( 'Params: ' . print_r($additionalParam, true));
            throw new Exception('Error occured in Amazon API.');
        }
    } catch (ApiException $exception) {
        wpsw_log_to_file( "Error calling PA-API 5.0!");
        wpsw_log_to_file( "HTTP Status Code: " . $exception->getCode());
        wpsw_log_to_file( "Error Message(3): " . $exception->getMessage());
        wpsw_log_to_file( 'Params: ' . print_r($additionalParam, true));
        if ($exception->getResponseObject() instanceof ProductAdvertisingAPIClientException) {
            $errors = $exception->getResponseObject()->getErrors();
            foreach ($errors as $error) {
                wpsw_log_to_file( "Error Type: " . $error->getCode());
                wpsw_log_to_file( "Error Message(4): " . $error->getMessage());
            }
        } else {
            wpsw_log_to_file( "Error response body: " . $exception->getResponseBody());
        }
        throw new Exception('ApiException occured in Amazon API.');
    } catch (Exception $exception) {
        wpsw_log_to_file( "Error Message(1): " . $exception->getMessage());
        wpsw_log_to_file( 'Params: ' . print_r($additionalParam, true));
        throw new Exception('Exception occured in Amazon API.');
    }
    throw new Exception('Unknown error occurred.');
}
?>