<?php
    function wpsw_walmart_get_categories($api_key)
    {
        $GLOBALS['wp_object_cache']->delete('wpsw_walmart_categories_list', 'options');
        $categories_option_value = get_option('wpsw_walmart_categories_list');
        if(isset($categories_option_value['category_list']) && isset($categories_option_value['last_updated']))
        {
            if( (time() - $categories_option_value['last_updated']) < 386400 )
            {
                return $categories_option_value;
            }
        }
        $categories = wpsw_walmart_update_categories($api_key);
        if(is_array($categories))
        {
            return $categories;
        }
        return false;
    }
    function wpsw_walmart_update_categories($api_key)
    {
        if (trim($api_key) !== '') {
            $categories = array();
            $feed_uri='http://api.walmartlabs.com/v1/taxonomy?apiKey=' . trim($api_key);
            $exec = wpsw_get_web_page($feed_uri);
            if ($exec === FALSE) {
                $ret = array();
                return $ret;
            }
            if (stristr($exec, 'categories') === FALSE) {
                $ret = array();
                return $ret;
            }
            $exec = json_decode($exec);
            foreach($exec->categories as $api_category)
            {
                if(isset($api_category->path))
                {
                    $main_category = $api_category->path;
                    $categories[$api_category->id] = $main_category;
                    if(isset($api_category->children))
                    {
                        foreach($api_category->children as $sub_category)
                        {
                            if(isset($sub_category->path))
                            {
                                $main_category = $sub_category->path;
                                $categories[$sub_category->id] = $main_category;
                                if(isset($sub_category->children))
                                {
                                    foreach($sub_category->children as $sub_sub_category)
                                    {
                                        if(isset($sub_sub_category->path))
                                        {
                                            $main_category = $sub_sub_category->path;
                                            $categories[$sub_sub_category->id] = $main_category;
                                            if(isset($sub_sub_category->children))
                                            {
                                                foreach($sub_sub_category->children as $sub_sub_sub_category)
                                                {
                                                    if(isset($sub_sub_sub_category->path))
                                                    {
                                                        $main_category = $sub_sub_sub_category->path;
                                                        $categories[$sub_sub_sub_category->id] = $main_category;
                                                        if(isset($sub_sub_sub_category->children))
                                                        {
                                                            foreach($sub_sub_sub_category->children as $sub_sub_sub_sub_category)
                                                            {
                                                                if(isset($sub_sub_sub_sub_category->path))
                                                                {
                                                                    $main_category = $sub_sub_sub_sub_category->path;
                                                                    $categories[$sub_sub_sub_sub_category->id] = $main_category;
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            $walmart_categories = array(
                'category_list' => $categories,
                'last_updated' => time()
            );

            update_option('wpsw_walmart_categories_list', $walmart_categories);

            return $walmart_categories;
        }
        else
        {
            $ret = array();
            return $ret;
        }
    }
    $amazon_codes = array(
	   'com' => esc_html__('United States', 'wp-setup-wizard') , 
	   'co.uk' => esc_html__('United Kingdom', 'wp-setup-wizard') , 
	   'ae' => esc_html__('United Arab Emirates', 'wp-setup-wizard') ,  
	   'com.tr' => esc_html__('Turkey', 'wp-setup-wizard') , 
	   'es' => esc_html__('Spain', 'wp-setup-wizard') ,
	   'sg' => esc_html__('Singapore', 'wp-setup-wizard') ,
	   'com.mx' => esc_html__('Mexico', 'wp-setup-wizard') , 
	   'co.jp' => esc_html__('Japan', 'wp-setup-wizard') , 
	   'it' => esc_html__('Italy', 'wp-setup-wizard') , 
	   'ca' => esc_html__('Canada', 'wp-setup-wizard') , 
	   'de' => esc_html__('Germany', 'wp-setup-wizard') , 
	   'fr' => esc_html__('France', 'wp-setup-wizard') ,  
	   'com.br' => esc_html__('Brasil', 'wp-setup-wizard') ,  
	   'in' => esc_html__('India', 'wp-setup-wizard') , 
	   'com.au' => esc_html__('Australia', 'wp-setup-wizard')
   );
   $ebay_codes = array(
        '1' => 'eBay US' , 
        '2' => 'eBay IE' , 
        '3' => 'eBay AT' , 
        '4' => 'eBay AU' , 
        '5' => 'eBay BE' , 
        '7' => 'eBay CA' , 
        '10' => 'eBay FR' ,
        '11' => 'eBay DE' ,         
        '12' => 'eBay IT' , 
        '13' => 'eBay ES' , 
        '14' => 'eBay CH' , 
        '15' => 'eBay UK' , 
        '16' => 'eBay NL'
   );
   $ebay_cats = array(
       esc_html__("Antiques", 'wp-setup-wizard') => "20081",
       esc_html__("Art", 'wp-setup-wizard') => "550",
       esc_html__("Baby", 'wp-setup-wizard') => "2984",
       esc_html__("Books", 'wp-setup-wizard') => "267",
       esc_html__("Business & Industrial", 'wp-setup-wizard') => "12576",
       esc_html__("Cameras & Photo", 'wp-setup-wizard') => "625",
       esc_html__("Cell Phones & Accessories", 'wp-setup-wizard') => "15032",
       esc_html__("Clothing, Shoes & Accessories", 'wp-setup-wizard') => "11450",
       esc_html__("Coins & Paper Money", 'wp-setup-wizard') => "11116",
       esc_html__("Collectibles", 'wp-setup-wizard') => "1",
       esc_html__("Computers/Tablets & Networking", 'wp-setup-wizard') => "58058",
       esc_html__("Consumer Electronics", 'wp-setup-wizard') => "293",
       esc_html__("Crafts", 'wp-setup-wizard') => "14339",
       esc_html__("Dolls & Bears", 'wp-setup-wizard') => "237",
       esc_html__("DVDs & Movies", 'wp-setup-wizard') => "11232",
       esc_html__("Entertainment Memorabilia", 'wp-setup-wizard') => "45100",
       esc_html__("Everything Else", 'wp-setup-wizard') => "99",
       esc_html__("Gift Cards & Coupons", 'wp-setup-wizard') => "172008",
       esc_html__("Health & Beauty", 'wp-setup-wizard') => "26395",
       esc_html__("Home & Garden", 'wp-setup-wizard') => "11700",
       esc_html__("Jewelry & Watches", 'wp-setup-wizard') => "281",
       esc_html__("Music", 'wp-setup-wizard') => "11233",
       esc_html__("Musical Instruments & Gear", 'wp-setup-wizard') => "619",
       esc_html__("Pet Supplies", 'wp-setup-wizard') => "1281",
       esc_html__("Pottery & Glass", 'wp-setup-wizard') => "870",
       esc_html__("Real Estate", 'wp-setup-wizard') => "10542",
       esc_html__("Specialty Services", 'wp-setup-wizard') => "316",
       esc_html__("Sporting Goods", 'wp-setup-wizard') => "888",
       esc_html__("Sports Mem, Cards & Fan Shop", 'wp-setup-wizard') => "64482",
       esc_html__("Stamps", 'wp-setup-wizard') => "260",
       esc_html__("Tickets & Experiences", 'wp-setup-wizard') => "1305",
       esc_html__("Toys & Hobbies", 'wp-setup-wizard') => "220",
       esc_html__("Travel", 'wp-setup-wizard') => "3252",
       esc_html__("Video Games & Consoles", 'wp-setup-wizard') => "1249",
       esc_html__("eBay Motors", 'wp-setup-wizard') => "6000"
   );
   $cat_arr = array();
   $cat_arr["mainCategoryId=1253"] = esc_html__("Arts &amp; Entertainment", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1265"] = esc_html__("-- Architecture", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1259"] = esc_html__("-- Art", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1254"] = esc_html__("-- Body Art", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1261"] = esc_html__("-- Dance", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1263"] = esc_html__("-- Fashion", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1255"] = esc_html__("-- Film &amp; Television", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1260"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1262"] = esc_html__("-- Humor", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1519"] = esc_html__("-- Magic Tricks", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1256"] = esc_html__("-- Music", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1257"] = esc_html__("-- Photography", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1258"] = esc_html__("-- Radio", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1253&amp;subCategoryId=1264"] = esc_html__("-- Theater", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1510"] = esc_html__("Betting Systems", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1510&amp;subCategoryId=1515"] = esc_html__("-- Casino Table Games", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1510&amp;subCategoryId=1517"] = esc_html__("-- Football", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1510&amp;subCategoryId=1511"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1510&amp;subCategoryId=1512"] = esc_html__("-- Horse Racing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1510&amp;subCategoryId=1514"] = esc_html__("-- Lottery", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1510&amp;subCategoryId=1513"] = esc_html__("-- Poker", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1510&amp;subCategoryId=1516"] = esc_html__("-- Soccer", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266"] = esc_html__("Business / Investing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1275"] = esc_html__("-- Careers, Industries &amp; Professions", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1520"] = esc_html__("-- Commodities", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1277"] = esc_html__("-- Debt", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1271"] = esc_html__("-- Derivatives", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1280"] = esc_html__("-- Economics", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1268"] = esc_html__("-- Equities &amp; Stocks", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1267"] = esc_html__("-- Foreign Exchange", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1270"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1276"] = esc_html__("-- International Business", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1278"] = esc_html__("-- Management &amp; Leadership", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1273"] = esc_html__("-- Marketing &amp; Sales", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1279"] = esc_html__("-- Outsourcing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1274"] = esc_html__("-- Personal Finance", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1269"] = esc_html__("-- Real Estate", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1266&amp;subCategoryId=1272"] = esc_html__("-- Small Biz / Entrepreneurship", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283"] = esc_html__("Computers / Internet", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1290"] = esc_html__("-- Databases", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1295"] = esc_html__("-- Email Services", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1292"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1285"] = esc_html__("-- Graphics", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1288"] = esc_html__("-- Hardware", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1291"] = esc_html__("-- Networking", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1293"] = esc_html__("-- Operating Systems", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1287"] = esc_html__("-- Programming", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1286"] = esc_html__("-- Software", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1296"] = esc_html__("-- System Administration", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1294"] = esc_html__("-- System Analysis &amp; Design", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1289"] = esc_html__("-- Web Hosting", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1283&amp;subCategoryId=1284"] = esc_html__("-- Web Site Design", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297"] = esc_html__("Cooking, Food &amp; Wine", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1300"] = esc_html__("-- BBQ", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1298"] = esc_html__("-- Baking", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1303"] = esc_html__("-- Cooking", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1304"] = esc_html__("-- Drinks &amp; Beverages", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1305"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1299"] = esc_html__("-- Recipes", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1306"] = esc_html__("-- Regional &amp; Intl.", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1301"] = esc_html__("-- Special Diet", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1302"] = esc_html__("-- Special Occasions", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1307"] = esc_html__("-- Vegetables / Vegetarian", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1297&amp;subCategoryId=1521"] = esc_html__("-- Wine Making", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308"] = esc_html__("E-business &amp; E-marketing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1309"] = esc_html__("-- Affiliate Marketing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1311"] = esc_html__("-- Article Marketing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1326"] = esc_html__("-- Auctions", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1330"] = esc_html__("-- Banners", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1318"] = esc_html__("-- Blog Marketing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1323"] = esc_html__("-- Classified Advertising", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1328"] = esc_html__("-- Consulting", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1327"] = esc_html__("-- Copywriting", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1325"] = esc_html__("-- Domains", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1312"] = esc_html__("-- E-commerce Operations", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1320"] = esc_html__("-- E-zine Strategies", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1321"] = esc_html__("-- Email Marketing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1324"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1317"] = esc_html__("-- Market Research", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1319"] = esc_html__("-- Marketing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1322"] = esc_html__("-- Niche Marketing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1314"] = esc_html__("-- Paid Surveys", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1313"] = esc_html__("-- Pay Per Click Advertising", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1310"] = esc_html__("-- Promotion", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1315"] = esc_html__("-- SEM &amp; SEO", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1331"] = esc_html__("-- Social Media Marketing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1316"] = esc_html__("-- Submitters", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1308&amp;subCategoryId=1329"] = esc_html__("-- Video Marketing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1362"] = esc_html__("Education", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1362&amp;subCategoryId=1364"] = esc_html__("-- Admissions", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1362&amp;subCategoryId=1522"] = esc_html__("-- Educational Materials", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1362&amp;subCategoryId=1523"] = esc_html__("-- Higher Education", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1362&amp;subCategoryId=1524"] = esc_html__("-- K-12", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1362&amp;subCategoryId=1365"] = esc_html__("-- Student Loans", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1362&amp;subCategoryId=1363"] = esc_html__("-- Test Prep &amp; Study Guides", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1332"] = esc_html__("Employment &amp; Jobs", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1332&amp;subCategoryId=1335"] = esc_html__("-- Cover Letter &amp; Resume Guides", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1332&amp;subCategoryId=1337"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1332&amp;subCategoryId=1334"] = esc_html__("-- Job Listings", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1332&amp;subCategoryId=1336"] = esc_html__("-- Job Search Guides", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1332&amp;subCategoryId=1333"] = esc_html__("-- Job Skills / Training", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1338"] = esc_html__("Fiction", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1338&amp;subCategoryId=1339"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1340"] = esc_html__("Games", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1340&amp;subCategoryId=1342"] = esc_html__("-- Console Guides &amp; Repairs", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1340&amp;subCategoryId=1343"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1340&amp;subCategoryId=1341"] = esc_html__("-- Strategy Guides", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1344"] = esc_html__("Green Products", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1344&amp;subCategoryId=1345"] = esc_html__("-- Alternative Energy", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1344&amp;subCategoryId=1346"] = esc_html__("-- Conservation &amp; Efficiency", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1344&amp;subCategoryId=1525"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347"] = esc_html__("Health &amp; Fitness", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1357"] = esc_html__("-- Addiction", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1361"] = esc_html__("-- Beauty", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1359"] = esc_html__("-- Dental Health", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1348"] = esc_html__("-- Diets &amp; Weight Loss", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1354"] = esc_html__("-- Exercise &amp; Fitness", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1360"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1526"] = esc_html__("-- Meditation", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1352"] = esc_html__("-- Men's Health", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1355"] = esc_html__("-- Mental Health", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1350"] = esc_html__("-- Nutrition", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1349"] = esc_html__("-- Remedies", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1527"] = esc_html__("-- Sleep and Dreams", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1356"] = esc_html__("-- Spiritual Health", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1351"] = esc_html__("-- Strength Training", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1353"] = esc_html__("-- Women's Health", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1347&amp;subCategoryId=1358"] = esc_html__("-- Yoga", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366"] = esc_html__("Home &amp; Garden", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366&amp;subCategoryId=1368"] = esc_html__("-- Animal Care &amp; Pets", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366&amp;subCategoryId=1371"] = esc_html__("-- Crafts &amp; Hobbies", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366&amp;subCategoryId=1374"] = esc_html__("-- Entertaining", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366&amp;subCategoryId=1367"] = esc_html__("-- Gardening &amp; Horticulture", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366&amp;subCategoryId=1373"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366&amp;subCategoryId=1376"] = esc_html__("-- Homebuying", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366&amp;subCategoryId=1369"] = esc_html__("-- How-to &amp; Home Improvements", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366&amp;subCategoryId=1375"] = esc_html__("-- Interior Design", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366&amp;subCategoryId=1372"] = esc_html__("-- Sewing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1366&amp;subCategoryId=1370"] = esc_html__("-- Weddings", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377"] = esc_html__("Languages", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1391"] = esc_html__("-- Arabic", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1383"] = esc_html__("-- Chinese", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1385"] = esc_html__("-- English", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1378"] = esc_html__("-- French", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1381"] = esc_html__("-- German", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1389"] = esc_html__("-- Hebrew", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1390"] = esc_html__("-- Hindi", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1382"] = esc_html__("-- Italian", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1380"] = esc_html__("-- Japanese", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1387"] = esc_html__("-- Other", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1386"] = esc_html__("-- Russian", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1384"] = esc_html__("-- Sign Language", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1379"] = esc_html__("-- Spanish", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1377&amp;subCategoryId=1388"] = esc_html__("-- Thai", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1392"] = esc_html__("Mobile", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1392&amp;subCategoryId=1518"] = esc_html__("-- Apps", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1392&amp;subCategoryId=1397"] = esc_html__("-- Developer Tools", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1392&amp;subCategoryId=1395"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1392&amp;subCategoryId=1393"] = esc_html__("-- Ringtones", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1392&amp;subCategoryId=1396"] = esc_html__("-- Security", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1392&amp;subCategoryId=1394"] = esc_html__("-- Video", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1400"] = esc_html__("Parenting &amp; Families", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1400&amp;subCategoryId=1528"] = esc_html__("-- Divorce", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1400&amp;subCategoryId=1402"] = esc_html__("-- Education", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1400&amp;subCategoryId=1405"] = esc_html__("-- Genealogy", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1400&amp;subCategoryId=1407"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1400&amp;subCategoryId=1406"] = esc_html__("-- Marriage", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1400&amp;subCategoryId=1403"] = esc_html__("-- Parenting", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1400&amp;subCategoryId=1401"] = esc_html__("-- Pregnancy &amp; Childbirth", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1400&amp;subCategoryId=1404"] = esc_html__("-- Special Needs", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1408"] = esc_html__("Politics / Current Events", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1408&amp;subCategoryId=1409"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410"] = esc_html__("Reference", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410&amp;subCategoryId=1529"] = esc_html__("-- Automotive", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410&amp;subCategoryId=1412"] = esc_html__("-- Catalogs &amp; Directories", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410&amp;subCategoryId=1411"] = esc_html__("-- Consumer Guides", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410&amp;subCategoryId=1413"] = esc_html__("-- Education", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410&amp;subCategoryId=1418"] = esc_html__("-- Etiquette", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410&amp;subCategoryId=1416"] = esc_html__("-- Gay / Lesbian", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410&amp;subCategoryId=1417"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410&amp;subCategoryId=1414"] = esc_html__("-- Law &amp; Legal Issues", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410&amp;subCategoryId=1530"] = esc_html__("-- The Sciences", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1410&amp;subCategoryId=1415"] = esc_html__("-- Writing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419"] = esc_html__("Self-Help", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1431"] = esc_html__("-- Abuse", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1423"] = esc_html__("-- Dating Guides", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1430"] = esc_html__("-- Eating Disorders", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1427"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1420"] = esc_html__("-- Marriage &amp; Relationships", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1422"] = esc_html__("-- Motivational / Transformational", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1426"] = esc_html__("-- Personal Finance", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1531"] = esc_html__("-- Public Speaking", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1532"] = esc_html__("-- Self Defense", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1429"] = esc_html__("-- Self-Esteem", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1421"] = esc_html__("-- Stress Management", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1425"] = esc_html__("-- Success", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1419&amp;subCategoryId=1428"] = esc_html__("-- Time Management", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432"] = esc_html__("Software &amp; Services", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1438"] = esc_html__("-- Anti Adware / Spyware", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1436"] = esc_html__("-- Background Investigations", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1460"] = esc_html__("-- Communications", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1441"] = esc_html__("-- Dating", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1457"] = esc_html__("-- Developer Tools", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1456"] = esc_html__("-- Digital Photos", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1437"] = esc_html__("-- Drivers", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1453"] = esc_html__("-- Education", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1448"] = esc_html__("-- Email", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1433"] = esc_html__("-- Foreign Exchange Investing", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1445"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1452"] = esc_html__("-- Graphic Design", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1446"] = esc_html__("-- Hosting", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1444"] = esc_html__("-- Internet Tools", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1447"] = esc_html__("-- MP3 &amp; Audio", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1458"] = esc_html__("-- Networking", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1455"] = esc_html__("-- Operating Systems", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1443"] = esc_html__("-- Other Investment Software", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1459"] = esc_html__("-- Personal Finance", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1450"] = esc_html__("-- Productivity", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1434"] = esc_html__("-- Registry Cleaners", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1435"] = esc_html__("-- Reverse Phone Lookup", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1454"] = esc_html__("-- Screensavers &amp; Wallpaper", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1439"] = esc_html__("-- Security", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1440"] = esc_html__("-- System Optimization", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1449"] = esc_html__("-- Utilities", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1442"] = esc_html__("-- Video", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1432&amp;subCategoryId=1451"] = esc_html__("-- Web Design", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461"] = esc_html__("Spirituality, New Age &amp; Alternative Beliefs", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461&amp;subCategoryId=1465"] = esc_html__("-- Astrology", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461&amp;subCategoryId=1470"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461&amp;subCategoryId=1463"] = esc_html__("-- Hypnosis", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461&amp;subCategoryId=1466"] = esc_html__("-- Magic", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461&amp;subCategoryId=1462"] = esc_html__("-- Numerology", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461&amp;subCategoryId=1468"] = esc_html__("-- Paranormal", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461&amp;subCategoryId=1467"] = esc_html__("-- Psychics", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461&amp;subCategoryId=1469"] = esc_html__("-- Religion", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461&amp;subCategoryId=1471"] = esc_html__("-- Tarot", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1461&amp;subCategoryId=1464"] = esc_html__("-- Witchcraft", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472"] = esc_html__("Sports", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1483"] = esc_html__("-- Automotive", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1476"] = esc_html__("-- Baseball", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1485"] = esc_html__("-- Basketball", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1473"] = esc_html__("-- Coaching", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1533"] = esc_html__("-- Cycling", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1491"] = esc_html__("-- Extreme Sports", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1488"] = esc_html__("-- Football", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1490"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1474"] = esc_html__("-- Golf", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1493"] = esc_html__("-- Hockey", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1481"] = esc_html__("-- Individual Sports", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1480"] = esc_html__("-- Martial Arts", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1492"] = esc_html__("-- Mountaineering", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1484"] = esc_html__("-- Other Team Sports", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1482"] = esc_html__("-- Outdoors &amp; Nature", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1479"] = esc_html__("-- Racket Sports", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1534"] = esc_html__("-- Running", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1477"] = esc_html__("-- Soccer", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1489"] = esc_html__("-- Softball", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1478"] = esc_html__("-- Training", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1475"] = esc_html__("-- Volleyball", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1486"] = esc_html__("-- Water Sports", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1472&amp;subCategoryId=1487"] = esc_html__("-- Winter Sports", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494"] = esc_html__("Travel", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494&amp;subCategoryId=1535"] = esc_html__("-- Africa", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494&amp;subCategoryId=1495"] = esc_html__("-- Asia", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494&amp;subCategoryId=1500"] = esc_html__("-- Canada", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494&amp;subCategoryId=1503"] = esc_html__("-- Caribbean", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494&amp;subCategoryId=1499"] = esc_html__("-- Europe", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494&amp;subCategoryId=1498"] = esc_html__("-- General", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494&amp;subCategoryId=1501"] = esc_html__("-- Latin America", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494&amp;subCategoryId=1502"] = esc_html__("-- Middle East", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494&amp;subCategoryId=1496"] = esc_html__("-- Specialty Travel", 'wp-setup-wizard');
   $cat_arr["mainCategoryId=1494&amp;subCategoryId=1497"] = esc_html__("-- United States", 'wp-setup-wizard');
?>