<?php
function wpsw_cb_searchItems($region, $public_key, $associate_tag, $rule_keywords, $product_type, $additionalParam, $min_price, $max_price, $node, $page_nr, $max)
{
    $feed_uri = 'https://accounts.clickbank.com/mkplSearchResult.htm?resultsPerPage=' . $max;
    if($rule_keywords != '' && $rule_keywords != '*')
    {
        $feed_uri .= '&includeKeywords=' . $rule_keywords;
    }
    if($product_type != '' && $product_type != 'All')
    {
        $feed_uri .= '&' . htmlspecialchars_decode($product_type);
    }
    return wpsw_cb_get_web_page($feed_uri, $associate_tag);
}

function wpsw_cb_get_web_page($url, $auth = '')
{
    $content = false;
    $headersx = array();
    if($auth != '')
    {
        $headersx = array('Accept' => 'application/xml', 'Authorization' => $auth);
    }
    $args = array(
       'timeout'     => 120,
       'redirection' => 10,
       'user-agent'  => wpsw_get_random_user_agent(),
       'blocking'    => true,
       'headers'     => $headersx,
       'cookies'     => array(),
       'body'        => null,
       'compress'    => false,
       'decompress'  => true,
       'sslverify'   => false,
       'stream'      => false,
       'filename'    => null
    );
    $ret_data            = wp_remote_get(html_entity_decode($url), $args);  
    $response_code       = wp_remote_retrieve_response_code( $ret_data );
    $response_message    = wp_remote_retrieve_response_message( $ret_data );    
        
    if ( 200 != $response_code ) {
    } else {
        $content = wp_remote_retrieve_body( $ret_data );
    }
    if($content === false)
    {
        if(function_exists('curl_version') && filter_var($url, FILTER_VALIDATE_URL))
        {
            $user_agent = wpsw_get_random_user_agent();
            $options    = array(
                CURLOPT_CUSTOMREQUEST => "GET",
                CURLOPT_POST => false,
                CURLOPT_USERAGENT => $user_agent,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_HEADER => false,
                CURLOPT_FOLLOWLOCATION => true,
                CURLOPT_ENCODING => "",
                CURLOPT_AUTOREFERER => true,
                CURLOPT_CONNECTTIMEOUT => 10,
                CURLOPT_TIMEOUT => 120,
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_SSL_VERIFYHOST => 0,
                CURLOPT_SSL_VERIFYPEER => 0
            );
            if($auth != '')
            {
                $options[CURLOPT_HTTPHEADER] = array(
                    'Accept: application/xml',
                    'Authorization: ' . $auth,
                );
            }
            $ch = curl_init($url);
            if ($ch === FALSE) {
                return FALSE;
            }
            curl_setopt_array($ch, $options);
            $content = curl_exec($ch);
            curl_close($ch);
        }
        else
        {
            $allowUrlFopen = preg_match('/1|yes|on|true/i', ini_get('allow_url_fopen'));
            if ($allowUrlFopen) {
                if(!filter_var($url, FILTER_VALIDATE_URL)) {
                    return false;
                }
                global $wp_filesystem;
                if ( ! is_a( $wp_filesystem, 'WP_Filesystem_Base') ){
                    include_once(ABSPATH . 'wp-admin/includes/file.php');$creds = request_filesystem_credentials( site_url() );
                    wp_filesystem($creds);
                }
                return $wp_filesystem->get_contents($url);
            }
        }
    }
    return $content;
}
?>