<?php
function wpsw_cj_searchItems($region, $public_key, $associate_tag, $company_id, $rule_keywords, $product_type, $additionalParam, $min_price, $max_price, $node, $page_nr, $max)
{
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'https://ads.api.cj.com/query');
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POST, 1);
    $post_data = "{
      products(companyId: \"" . trim($company_id) . "\",";
    if($rule_keywords != '*' && trim($rule_keywords) != '')
    {
        $post_data .= "keywords: \"" . addslashes(trim($rule_keywords)) . "\"";
    }
    if($max_price != '')
    {
        $post_data .= ", highPrice: " . trim($max_price);
    }
    if($min_price != '')
    {
        $post_data .= ", lowPrice: " . trim($min_price);
    }
    $post_data .= ", limit: " . trim($max);
    $post_data .= ", partnerStatus: JOINED";
    $post_data .= ") {
        resultList {
          advertiserId
          catalogId
          id
          title
          description
          price {
            amount
            currency
          }
          linkCode(pid: \"" . trim($associate_tag) . "\") {
            clickUrl
          }
        }
      }
    }";
    curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
    $headers = array();
    $headers[] = 'Authorization: Bearer ' . trim($public_key);
    $headers[] = 'Content-Type: application/x-www-form-urlencoded';
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    $result = curl_exec($ch);
    if (curl_errno($ch)) {
        wpsw_log_to_file('Curl Error for CJ API search:' . curl_error($ch));
        curl_close($ch);
        return false;
    }
    curl_close($ch);
    $result = json_decode($result);
    return $result;
}
?>