<?php
function wpsw_en_searchItems($public_key, $rule_keywords, $product_type, $additionalParam, $min_price, $max_price, $node, $page_nr, $max)
{
    $feed_uri = "https://api.envato.com/v1/discovery/search/search/item?page_size=" . $max;
    if(trim($rule_keywords) != '' && trim($rule_keywords) != "*" ){
        $feed_uri.='&term='.urlencode(trim($rule_keywords));
    }
    $feed_uri .= '&site=' . $product_type . '.net';
    $x = 'error';
    $ch = curl_init();
    if($ch === FALSE)
    {
        wpsw_log_to_file ('Failed to init cURL!');
        return false;
    }                    
    curl_setopt($ch, CURLOPT_URL, $feed_uri);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_TIMEOUT, 60);
    $header = array();
    $header[] = 'Content-length: 0';
    $header[] = 'Content-type: application/json';
    $header[] = 'Authorization: Bearer ' . trim($public_key);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
    
    $newItems = curl_exec ($ch);
    if($newItems === FALSE)
    {
        wpsw_log_to_file ('Failed to run cURL! ' . $feed_uri);
        return false;
    }
    $x = curl_error ($ch);
    curl_close($ch);
    if(trim($x) != ''){
        wpsw_log_to_file ('Curl error: '.$x . ' - url: '  . $feed_uri);
        return false;
    }
    if(  trim($newItems) == '' ){
        wpsw_log_to_file ('Envato returned an empty reply' . ' - url: '  .  $feed_uri);
        return false;
    }
    if( stristr( $newItems , 'error_description'    ) ){
        wpsw_log_to_file ('Envato returned an error: '.$newItems . ' - url: '  .  $feed_uri);
        return false;
    }
    
    if(! stristr( $newItems , '"took"'  ) ){
        wpsw_log_to_file ('Envato returned error message: '.$newItems . ' - url: '  .  $feed_uri);
        return false;
    }
    if(is_string($newItems))
    {
        $newItems = json_decode($newItems, true);
    }
    
    if ($newItems === NULL || !isset($newItems['matches'])) {
        wpsw_log_to_file ('json_decode failed for ' . $feed_uri . '!');
        return false;
    }
    $newItems = $newItems['matches'];
    return $newItems;
}
?>