<?php
function wpsw_et_searchItems($public_key, $aff_id, $rule_keywords, $additionalParam, $min_price, $max_price, $node, $page_nr, $max)
{
    $feed_uri = 'https://openapi.etsy.com/v2/listings/active?api_key=' . trim($public_key);
    $feed_uri .= '&keywords=' . urlencode($rule_keywords);
    $feed_uri .= '&limit=' . $max;
    $retz = wpsw_get_web_page($feed_uri);
    if($retz === false)
    {
        wpsw_log_to_file('Failed to get Etsy response: ' . $feed_uri);
        return false;
    }
    $retzx = json_decode($retz);
    if($retzx === false)
    {
        wpsw_log_to_file('Failed to decode Etsy response: ' . $retz);
        return false;
    }
    if(!isset($retzx->results) || !is_array($retzx->results))
    {
        wpsw_log_to_file('Unknown response received from Etsy: ' . print_r($retz, true) . ' - ' . $feed_uri);
        return false;
    }
    $items = $retzx->results;
    if (count($items) == 0) 
    {
        wpsw_log_to_file('No results found. ' . $feed_uri);
    }
    return $items;
}
?>