<?php
function wpsw_admin_nav_top($current = false)
{
    if ( !current_user_can ( 'manage_options' ))
    {
        wp_die ( "You don't have access to this page." );
    }
    if ( !user_can_access_admin_page ())
    {
        wp_die ( "You do not have sufficient permissions to access this page" );
    }
    wp_enqueue_style('cr-front-style-coderevo', plugins_url('/../styles/cr-front-style-coderevo.css', __FILE__), array(), '1.0.0', 'all');
?>
<div class="cs-framework cs-option-framework">
	<header class="cs-header x-oberflow">
		<h1>WP Setup Wizard</h1>
	</header>
	<div class="cs-body">
		<div class="cs-nav">
			<ul>
				<li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_welcome_settings'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-home"></i><?php esc_html_e( 'Welcome', 'wp-setup-wizard' ); ?>
					</a>
					<ul>
						<li>
							<a<?php echo $current !== 'welcome'?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_welcome_settings'); ?>#vcc-shortcodes" data-section="vcc-shortcodes" id="vcc-shortcodes-nav">
								<?php esc_html_e( 'Getting Started', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'welcome'?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_welcome_settings'); ?>#vcc-Quick" data-section="vcc-Quick" id="vcc-Quick-nav">
								<?php esc_html_e( 'Quick Setup Wizard', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
                <li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_admin_settings'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-pencil"></i><?php esc_html_e( 'Content', 'wp-setup-wizard' ); ?>
					</a>
					<ul>
						<li>
							<a<?php echo $current !== 'main'?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_admin_settings'); ?>#vcc-SiteSettings" data-section="vcc-SiteSettings" id="vcc-SiteSettings-nav">
								<?php esc_html_e( 'Site Settings', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'main'?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_admin_settings'); ?>#vcc-Purging" data-section="vcc-Purging" id="vcc-Purging-nav">
								<?php esc_html_e( 'Content Cleanup', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'main'?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_admin_settings'); ?>#vcc-Creation" data-section="vcc-Creation" id="vcc-Creation-nav">
								<?php esc_html_e( 'Content Creation', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'main'?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_admin_settings'); ?>#vcc-Comments" data-section="vcc-Comments" id="vcc-Comments-nav">
								<?php esc_html_e( 'Comments', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'main'?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_admin_settings'); ?>#vcc-Images" data-section="vcc-Images" id="vcc-Images-nav">
								<?php esc_html_e( 'Images', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'main'?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_admin_settings'); ?>#vcc-Header" data-section="vcc-Header" id="vcc-Header-nav">
								<?php esc_html_e( 'Header/Footer Content', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'main'?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_admin_settings'); ?>#vcc-Construction" data-section="vcc-Construction" id="vcc-Construction-nav">
								<?php esc_html_e( 'Under Construction Mode', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'main'?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_admin_settings'); ?>#vcc-Banner" data-section="vcc-Banner" id="vcc-Banner-nav">
								<?php esc_html_e( 'Simple Site Banner', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
				<li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_legal'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-gavel"></i><?php esc_html_e( 'Legal', 'wp-setup-wizard' ); ?>
					</a>
                    <ul>
						<li>
							<a<?php echo $current !== 'legal' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_legal'); ?>#vcc-Cookie" data-section="vcc-Cookie" id="vcc-Cookie-nav">
								<?php esc_html_e( 'Cookie Consent Notice', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'legal' ?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_legal'); ?>#vcc-Selector" data-section="vcc-Selector" id="vcc-Selector-nav">
								<?php esc_html_e( 'Legal Pages Selector', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'legal' ?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_legal'); ?>#vcc-Privacy" data-section="vcc-Privacy" id="vcc-Privacy-nav">
								<?php esc_html_e( 'Privacy Policy Page Generator', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'legal' ?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_legal'); ?>#vcc-Terms" data-section="vcc-Terms" id="vcc-Terms-nav">
								<?php esc_html_e( 'Terms and Conditions Page Generator', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'legal' ?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_legal'); ?>#vcc-CookiePol" data-section="vcc-CookiePol" id="vcc-CookiePol-nav">
								<?php esc_html_e( 'Cookie Policy Page Generator', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'legal' ?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_legal'); ?>#vcc-GDPRPage" data-section="vcc-GDPRPage" id="vcc-GDPRPage-nav">
								<?php esc_html_e( 'GDPR Requests Page Generator', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'legal' ?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_legal'); ?>#vcc-GDPRRedir" data-section="vcc-GDPRRedir" id="vcc-GDPRRedir-nav">
								<?php esc_html_e( 'GDPR Page Redirect', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'legal' ?' class="cs-nav-off"':''; ?> href="<?php echo admin_url('admin.php?page=wpsw_legal'); ?>#vcc-GDPR" data-section="vcc-GDPR" id="vcc-GDPR-nav">
								<?php esc_html_e( 'GDPR Compliance Checker', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
				<li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_themes'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-file-code-o"></i><?php esc_html_e( 'Themes', 'wp-setup-wizard' ); ?>
					</a>
                    <ul>
						<li>
							<a<?php echo $current !== 'themes' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_themes'); ?>#vcc-Themes" data-section="vcc-Themes" id="vcc-Themes-nav">
								<?php esc_html_e( 'Themes Installer', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
				<li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_plugins'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-code"></i><?php esc_html_e( 'Plugins', 'wp-setup-wizard' ); ?>
					</a>
                    <ul>
						<li>
							<a<?php echo $current !== 'plugins' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_plugins'); ?>#vcc-Plugin" data-section="vcc-Plugin" id="vcc-Plugin-nav">
								<?php esc_html_e( 'Plugins Installer', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
                <li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_security'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-shield"></i><?php esc_html_e( 'Security', 'wp-setup-wizard' ); ?>
					</a>
                    <ul>
						<li>
							<a<?php echo $current !== 'security' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_security'); ?>#vcc-Security" data-section="vcc-Security" id="vcc-Security-nav">
								<?php esc_html_e( 'Website Security', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'security' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_security'); ?>#vcc-Captcha" data-section="vcc-Captcha" id="vcc-Captcha-nav">
								<?php esc_html_e( 'Captcha Integration', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'security' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_security'); ?>#vcc-Backup" data-section="vcc-Backup" id="vcc-Backup-nav">
								<?php esc_html_e( 'Database Backup', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
                <li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_seo'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-search"></i><?php esc_html_e( 'SEO', 'wp-setup-wizard' ); ?>
					</a>
                    <ul>
						<li>
							<a<?php echo $current !== 'seo' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_seo'); ?>#vcc-SEO" data-section="vcc-SEO" id="vcc-SEO-nav">
								<?php esc_html_e( 'General SEO Settings', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'seo' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_seo'); ?>#vcc-Local" data-section="vcc-Local" id="vcc-Local-nav">
								<?php esc_html_e( 'Local Business SEO', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
                <li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_social'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-share-alt"></i><?php esc_html_e( 'Social', 'wp-setup-wizard' ); ?>
					</a>
                    <ul>
						<li>
							<a<?php echo $current !== 'social' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_social'); ?>#vcc-Social" data-section="vcc-Social" id="vcc-Social-nav">
								<?php esc_html_e( 'General Social Settings', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
				<li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-dollar"></i><?php esc_html_e( 'Monetize', 'wp-setup-wizard' ); ?>
					</a>
                    <ul>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-Monetize" data-section="vcc-Monetize" id="vcc-Monetize-nav">
								<?php esc_html_e( 'Affiliate Keyword Replacer Tool', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-AdSense" data-section="vcc-AdSense" id="vcc-AdSense-nav">
								<?php esc_html_e( 'AdSense Auto Ads', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-Amazon" data-section="vcc-Amazon" id="vcc-Amazon-nav">
								<?php esc_html_e( 'Amazon Affiliate', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-Ebay" data-section="vcc-Ebay" id="vcc-Ebay-nav">
								<?php esc_html_e( 'eBay Affiliate', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-CB" data-section="vcc-CB" id="vcc-CB-nav">
								<?php esc_html_e( 'ClickBank Affiliate', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-CJ" data-section="vcc-CJ" id="vcc-CJ-nav">
								<?php esc_html_e( 'Commission Junction Affiliate', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-GB" data-section="vcc-GB" id="vcc-GB-nav">
								<?php esc_html_e( 'GearBest Affiliate', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-AL" data-section="vcc-AL" id="vcc-AL-nav">
								<?php esc_html_e( 'AliExpress Affiliate', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-EN" data-section="vcc-EN" id="vcc-EN-nav">
								<?php esc_html_e( 'Envato Affiliate', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-WM" data-section="vcc-WM" id="vcc-WM-nav">
								<?php esc_html_e( 'Walmart Affiliate', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'monetize' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_monetize'); ?>#vcc-ET" data-section="vcc-ET" id="vcc-ET-nav">
								<?php esc_html_e( 'Etsy Affiliate', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
                <li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_speed'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-tachometer"></i><?php esc_html_e( 'Speed', 'wp-setup-wizard' ); ?>
					</a>
                    <ul>
						<li>
							<a<?php echo $current !== 'speed' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_speed'); ?>#vcc-Optim" data-section="vcc-Optim" id="vcc-Optim-nav">
								<?php esc_html_e( 'Optimization', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
				<li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_branding'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-copyright"></i><?php esc_html_e( 'Branding', 'wp-setup-wizard' ); ?>
					</a>
                    <ul>
						<li>
							<a<?php echo $current !== 'branding' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_branding'); ?>#vcc-Branding" data-section="vcc-Branding" id="vcc-Branding-nav">
								<?php esc_html_e( 'Login Page Branding', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'branding' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_branding'); ?>#vcc-Bar" data-section="vcc-Bar" id="vcc-Bar-nav">
								<?php esc_html_e( 'Admin Bar Branding', 'wp-setup-wizard' ); ?>
							</a>
						</li>
						<li>
							<a<?php echo $current !== 'branding' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_branding'); ?>#vcc-Admin" data-section="vcc-Admin" id="vcc-Admin-nav">
								<?php esc_html_e( 'Admin Page Branding', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
				<li class="cs-sub">
					<a href="<?php echo admin_url('admin.php?page=wpsw_reset'); ?>" class="cs-arrow">
						<i class="cs-icon fa fa-spinner"></i><?php esc_html_e( 'Reset', 'wp-setup-wizard' ); ?>
					</a>
                    <ul>
						<li>
							<a<?php echo $current !== 'reset' ?' class="cs-nav-off"':' class="cs-section-active"'; ?> href="<?php echo admin_url('admin.php?page=wpsw_reset'); ?>#vcc-Reset" data-section="vcc-Reset" id="vcc-Reset-nav">
								<?php esc_html_e( 'Database Wipe', 'wp-setup-wizard' ); ?>
							</a>
						</li>
					</ul>
				</li>
				<li>
					<a class="cs-nav-off<?php echo $current=='logs'?' cs-nav-click cs-section-active':''; ?>" href="<?php echo admin_url('admin.php?page=wpsw_logs'); ?>" data-section="vcc-logs" id="vcc-logs-nav">
						<i class="cs-icon fa fa-file-text-o"></i><?php esc_html_e( 'Activity & Logging', 'wp-setup-wizard' ); ?>
					</a>
				</li>
			</ul>
		</div>
		<div class="cs-content">
			<div class="cs-sections">
<?php
}
function wpsw_admin_nav_bottom(){
?>
			</div> <!-- /.cs-sections -->
			<div class="clear"></div>
		</div> <!-- /.cs-content -->
		<div class="cs-nav-background"></div>
	</div> <!-- /.cs-body -->
	<footer class="cs-footer">
		<div class="cs-block-right"><!-- Version 1 --></div>
		<div class="clear"></div>
	</footer>
</div> <!-- /.cs-framework.cs-option-framework -->
<?php
}
function wpsw_admin_settings_nav(){
	wpsw_admin_nav_top('main');
	wpsw_admin_settings();
	wpsw_admin_nav_bottom();
}
function wpsw_welcome_settings_nav(){
	wpsw_admin_nav_top('welcome');
	wpsw_welcome_settings();
	wpsw_admin_nav_bottom();
}
function wpsw_legal_nav(){
	wpsw_admin_nav_top('legal');
	wpsw_legal();
	wpsw_admin_nav_bottom();
}
function wpsw_plugins_nav(){
	wpsw_admin_nav_top('plugins');
	wpsw_plugins();
	wpsw_admin_nav_bottom();
}
function wpsw_themes_nav(){
	wpsw_admin_nav_top('themes');
	wpsw_themes();
	wpsw_admin_nav_bottom();
}
function wpsw_security_nav(){
	wpsw_admin_nav_top('security');
	wpsw_security();
	wpsw_admin_nav_bottom();
}
function wpsw_seo_nav(){
	wpsw_admin_nav_top('seo');
	wpsw_seo();
	wpsw_admin_nav_bottom();
}
function wpsw_reset_nav(){
	wpsw_admin_nav_top('reset');
	wpsw_reset();
	wpsw_admin_nav_bottom();
}
function wpsw_social_nav(){
	wpsw_admin_nav_top('social');
	wpsw_social();
	wpsw_admin_nav_bottom();
}
function wpsw_branding_nav(){
	wpsw_admin_nav_top('branding');
	wpsw_branding();
	wpsw_admin_nav_bottom();
}
function wpsw_speed_nav(){
	wpsw_admin_nav_top('speed');
	wpsw_speed();
	wpsw_admin_nav_bottom();
}
function wpsw_monetize_nav(){
	wpsw_admin_nav_top('monetize');
	wpsw_monetize();
	wpsw_admin_nav_bottom();
}
function wpsw_logs_nav(){
	wpsw_admin_nav_top('logs');
	wpsw_logs();
	wpsw_admin_nav_bottom();
}
