<?php

function wpsw_settings_plugins_tab( $slug, $count ) {
    $plugins = wpsw_plugins_list( $slug );
    wpsw_print_plugins( $plugins, $count );
}

function wpsw_print_plugins( $plugins, $count )
{
    $free = $plugins['free'];
    $str = '<h2>' . $count . '. ' . $plugins['type'] . '</h2>';
    $str .= '<h2>' . esc_html__("Free Plugins", 'wp-setup-wizard') . '</h2>';
    $str .= '<table class="widefat"><thead>';
    $str .= '<tr><th class="row-title cr_width35" scope="col">' . esc_html__("Name", 'wp-setup-wizard') . '</th><th class="row-title" scope="col">' . esc_html__("Description", 'wp-setup-wizard') . '</th><th class="row-title cr_customalignt" scope="col">' . esc_html__("Install", 'wp-setup-wizard') . '</th><th class="row-title cr_customalignt" scope="col">' . esc_html__("Activate", 'wp-setup-wizard') . '</th></tr>';
    $str .= '</thead><tbody>';
    $i = 0;
    foreach( $free as $plugin )
        $str .= wpsw_free_plugin_row( $plugin, $i++ );
    $str .= '</tbody></table><br/>';
    echo $str;
    $paid = $plugins['paid'];
    if( !empty( $paid ) ) {
        $str = '<h2>' . esc_html__("Premium Plugins", 'wp-setup-wizard') . '</h2>';
        $str .= '<table class="widefat"><thead>';
        $str .= '<tr><th class="row-title cr_width35" scope="col">' . esc_html__("Name", 'wp-setup-wizard') . '</th><th class="row-title" scope="col">' . esc_html__("Description", 'wp-setup-wizard') . '</th><th class="row-title cr_customalignt" scope="col">' . esc_html__("Download", 'wp-setup-wizard') . '</th></tr>';
        $str .= '</thead><tbody>';
        $i = 0;
        foreach( $paid as $plugin )
            $str .= wpsw_paid_plugin_row( $plugin, $i++ );
        $str .= '</tbody></table><br/><hr/>';
        echo $str;
    }
}
function wpsw_free_plugin_row( $plugin, $i ) 
{
    $str = '<tr ' . (($i%2) ? 'class="alternate"' : '') . '>
        <th class="row-title" scope="row"><a href="' . $plugin['url'] . '" target="_blank">' . $plugin['name'] . '</a></th>
        <td>' . $plugin['description'] . '</td>
        <td class="cr_text_center">' . wpsw_plugin_status( $plugin, 'inst' ) . '</td>
        <td class="cr_text_center">' . wpsw_plugin_status( $plugin, 'act' ) . '</td>
    </tr>';
    return $str;
}
function wpsw_paid_plugin_row( $plugin, $i ) 
{
    $str = '<tr ' . (($i%2) ? 'class="alternate"' : '') . '>
        <th class="row-title" scope="row"><a href="' . $plugin['url'] . '" target="_blank">' . $plugin['name'] . '</a></th>
        <td>' . $plugin['description'] . '</td>
        <td class="cr_text_center"><a href="' . $plugin['url'] . '" class="button button-secondary" target="_blank"><i class="fa fa-download"></i> ' . esc_html__("Download", 'wp-setup-wizard') . '</a></td>
    </tr>';
    return $str;
}
function wpsw_plugin_status( $plugin, $type ) 
{
    if($type == 'inst')
    {
        if( $phpfile = wpsw_is_plugin_there( $plugin['slug'] ) ) 
        {
            return esc_html__("Installed", 'wp-setup-wizard');
        }
        else
        {
            return '<input type="checkbox" class="wpsw_installable" name="wpsw_install_plugins[' . $plugin['slug'] . ']" id="' . $plugin['slug'] . '"/>';
        }
    }
    elseif($type == 'act')
    {
        if( $phpfile = wpsw_is_plugin_there( $plugin['slug'] ) ) 
        {
            if( $phpfile ) {
                $first_value = reset($phpfile);
                $first_key = key($phpfile);
            }
            if(!function_exists('is_plugin_active'))
            {
                include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
            }
            if( is_plugin_active( $plugin['slug'] . '/' . $first_key ) ) 
            {
                return esc_html__("Active", 'wp-setup-wizard');
            }
            else 
            {
                return '<input type="checkbox" class="wpsw_activatable" name="wpsw_activate_plugins[' . $plugin['slug'] . ']" id="' . $plugin['slug'] . '"/>';
            }
        }
        else
        {
            return '<input type="checkbox" class="wpsw_activatable" name="wpsw_activate_plugins[' . $plugin['slug'] . ']" id="' . $plugin['slug'] . '"/>';
        }
    }
}

function wpsw_plugins()
{
?>
<div class="wrap gs_popuptype_holder seo_pops">
    <div>
    <?php
    if(isset($_POST['wpsw_manual_plugins']) && trim($_POST['wpsw_manual_plugins']) != ''  && isset( $_POST['wpsw_install_plugins_nonce'] ) && wp_verify_nonce( $_POST['wpsw_install_plugins_nonce'], 'wpsw_install_plugins' ))
    {
        $wpsw_manual_plugins = explode(',', $_POST['wpsw_manual_plugins']);
        $wpsw_manual_plugins = array_map('trim', $wpsw_manual_plugins);
        if(isset($_POST['also_activate']) && trim($_POST['also_activate']) != '')
        {
            $act = true;
        }
        else
        {
            $act = false;
        }
        ?><div class="wpsw_plugins_installer"><?php
        wpsw_install_plugins( $wpsw_manual_plugins, $act );
        ?></div><?php
        echo '<hr/>';
        echo '<h2>' . esc_html__("Installation for listed plugins finished.", 'wp-setup-wizard') . '</h2>';
        echo '<p>' . esc_html__("The following plugins were installed:", 'wp-setup-wizard') . '</p>';
        echo '<ul>';
        foreach($wpsw_manual_plugins as $wpp)
        {
            echo '<li><a href="' . $wpp . '" target="_blank">' . $wpp . '</a></li>';
        }
        echo '</ul>';
        echo '<hr/><br/><br/><br/>';
    }
    if ((isset($_POST['wpsw_install_plugins']) && is_array($_POST['wpsw_install_plugins']) || isset($_POST['wpsw_activate_plugins']) && is_array($_POST['wpsw_activate_plugins'])) && isset( $_POST['wpsw_install_plugins_nonce'] ) && wp_verify_nonce( $_POST['wpsw_install_plugins_nonce'], 'wpsw_install_plugins' ) )
    {
        if(isset($_POST['wpsw_install_plugins']) && is_array($_POST['wpsw_install_plugins']))
        {
            $wpsw_install_plugins = $_POST['wpsw_install_plugins'];
            $wpsw_install_plugins = array_keys($wpsw_install_plugins);
            if( !empty( $wpsw_install_plugins ) ) 
            {
                ?><div class="wpsw_plugins_installer"><?php
                wpsw_install_plugins_by_slug( $wpsw_install_plugins );
                ?></div><?php
                echo '<hr/>';
                echo '<h2>' . esc_html__("Installation for selected plugins finished.", 'wp-setup-wizard') . '</h2>';
                echo '<p>' . esc_html__("The following plugins were installed:", 'wp-setup-wizard') . '</p>';
                echo '<ul>';
                foreach($wpsw_install_plugins as $wpp)
                {
                    echo '<li><a href="https://wordpress.org/plugins/"' . $wpp . '/" target="_blank">https://wordpress.org/plugins/' . $wpp . '/</a></li>';
                }
                echo '</ul>';
                echo '<hr/><br/><br/><br/>';
            }
        }
        if(isset($_POST['wpsw_activate_plugins']) && is_array($_POST['wpsw_activate_plugins']))
        {
            $wpsw_activate_plugins = $_POST['wpsw_activate_plugins'];
            $wpsw_activate_plugins = array_keys($wpsw_activate_plugins);
            if( !empty( $wpsw_activate_plugins ) ) 
            {
                ?><div class="wpsw_plugins_installer"><?php
                wpsw_activate_plugins_by_slug( $wpsw_activate_plugins );
                ?></div><?php
                echo '<hr/>';
                echo '<h2>' . esc_html__("Activation for selected plugins finished.", 'wp-setup-wizard') . '</h2>';
                echo '<p>' . esc_html__("The following plugins were activated:", 'wp-setup-wizard') . '</p>';
                echo '<ul>';
                foreach($wpsw_activate_plugins as $wpp)
                {
                    echo '<li><a href="https://wordpress.org/plugins/"' . $wpp . '/" target="_blank">https://wordpress.org/plugins/' . $wpp . '/</a></li>';
                }
                echo '</ul>';
                echo '<hr/><br/><br/><br/>';
            }
        }
    }
    ?>
        <form id="myForm" method="post" action="">
  <div id="cs-tab-vcc-Plugins">
  <h2><?php esc_html_e( 'Manual Plugin Installer:', 'wp-setup-wizard' ); ?></h2>
  <hr/>
  <table class="form-table">
  <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Add a comma separated list of WordPress plugin URLs to install automatically. The URL can be a repository URL: https://wordpress.org/plugins/wp-pocket-urls/ or the direct URL to the zip file: https://coderevolution.ro/path/to/the/plugin-file.zip", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Plugin URL List to Install:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td colspan="2">
                    <textarea rows="6" class="gs_popuptype_holderx" placeholder="<?php esc_html_e( 'Enter a list of plugin urls to install', 'wp-setup-wizard' ); ?>" id="wpsw-manual-plugins" name="wpsw_manual_plugins"></textarea>
        </div>
    </td></tr>
    <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to also activate above plugins after installation?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Also Activate Plugins:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="also_activate" name="also_activate">
        </div>
    </td></tr>
    <tr>
        <td>&nbsp;</td>
        <td>
            <button type="button" id="wpsw-recommended-plugins" class="button button-secondary"><?php esc_html_e( 'Add Recommended Plugins', 'wp-setup-wizard' ); ?></button>
        </td>
        <td>
            <div><p><input type="submit" name="btnSubmit2" id="btnSubmit2" class="button button-primary cr_fright" onclick="unsaved = false;" value="<?php esc_html_e( 'Install / Activate Plugins', 'wp-setup-wizard' ); ?>"/></p></div>
        </td>
    </tr>
    </table>
  <h2><?php esc_html_e( 'Popular Plugins:', 'wp-setup-wizard' ); ?></h2>
  <hr/>
<?php
    $count = 1;
    wpsw_settings_plugins_tab( 'seo', $count++ );
    wpsw_settings_plugins_tab( 'content', $count++ );
    wpsw_settings_plugins_tab( 'affiliate', $count++ );
    wpsw_settings_plugins_tab( 'social', $count++ );
    wpsw_settings_plugins_tab( 'performance', $count++ );
    wpsw_settings_plugins_tab( 'pagebuilders', $count++ );
    wpsw_settings_plugins_tab( 'ecommerce', $count++ );
    wpsw_settings_plugins_tab( 'security', $count++ );
    wpsw_settings_plugins_tab( 'backup', $count++ );
    wpsw_settings_plugins_tab( 'others', $count++ );
?>
      <?php wp_nonce_field( 'wpsw_install_plugins', 'wpsw_install_plugins_nonce' ); ?>
         <div><p><input type="submit" name="btnSubmit" id="btnSubmit1" class="button button-primary" onclick="unsaved = false;" value="<?php esc_html_e( 'Install / Activate Plugins', 'wp-setup-wizard' ); ?>"/></p></div>
  </div>
    </form>
    </div>
</div>
<?php
}