<?php

function wpsw_settings_themes_tab( $slug, $count ) {
    $themes = wpsw_themes_list( $slug );
    wpsw_print_themes( $themes, $count );
}

function wpsw_print_themes( $themes, $count )
{
    $free = $themes['free'];
    $str = '<h2>' . $count . '. ' . $themes['type'] . '</h2>';
    $str .= '<h2>' . esc_html__("Free Themes", 'wp-setup-wizard') . '</h2>';
    $str .= '<table class="widefat"><thead>';
    $str .= '<tr><th class="row-title cr_width35" scope="col">' . esc_html__("Name", 'wp-setup-wizard') . '</th><th class="row-title" scope="col">' . esc_html__("Description", 'wp-setup-wizard') . '</th><th class="row-title cr_customalignt" scope="col">' . esc_html__("Install", 'wp-setup-wizard') . '</th><th class="row-title cr_customalignt" scope="col">' . esc_html__("Activate", 'wp-setup-wizard') . '</th></tr>';
    $str .= '</thead><tbody>';
    $i = 0;
    foreach( $free as $theme )
        $str .= wpsw_free_theme_row( $theme, $i++ );
    $str .= '</tbody></table><br/>';
    echo $str;
    $paid = $themes['paid'];
    if( !empty( $paid ) ) {
        $str = '<h2>' . esc_html__("Premium Themes", 'wp-setup-wizard') . '</h2>';
        $str .= '<table class="widefat"><thead>';
        $str .= '<tr><th class="row-title cr_width35" scope="col">' . esc_html__("Name", 'wp-setup-wizard') . '</th><th class="row-title" scope="col">' . esc_html__("Description", 'wp-setup-wizard') . '</th><th class="row-title cr_customalignt" scope="col">' . esc_html__("Download", 'wp-setup-wizard') . '</th></tr>';
        $str .= '</thead><tbody>';
        $i = 0;
        foreach( $paid as $theme )
            $str .= wpsw_paid_theme_row( $theme, $i++ );
        $str .= '</tbody></table><br/><hr/>';
        echo $str;
    }
}
function wpsw_free_theme_row( $theme, $i ) 
{
    $str = '<tr ' . (($i%2) ? 'class="alternate"' : '') . '>
        <th class="row-title" scope="row"><a href="' . $theme['url'] . '" target="_blank">' . $theme['name'] . '</a></th>
        <td>' . $theme['description'] . '</td>
        <td class="cr_text_center">' . wpsw_theme_status( $theme, 'inst' ) . '</td>
        <td class="cr_text_center">' . wpsw_theme_status( $theme, 'act' ) . '</td>
    </tr>';
    return $str;
}
function wpsw_paid_theme_row( $theme, $i ) 
{
    $str = '<tr ' . (($i%2) ? 'class="alternate"' : '') . '>
        <th class="row-title" scope="row"><a href="' . $theme['url'] . '" target="_blank">' . $theme['name'] . '</a></th>
        <td>' . $theme['description'] . '</td>
        <td class="cr_text_center"class="cr_text_center"><a href="' . $theme['url'] . '" class="button button-secondary" target="_blank"><i class="fa fa-download"></i> ' . esc_html__("Download", 'wp-setup-wizard') . '</a></td>
    </tr>';
    return $str;
}
function wpsw_theme_status( $theme, $type ) 
{
    if($type == 'inst')
    {
        if( $phpfile = wpsw_is_theme_there( $theme['slug'] ) ) 
        {
            return esc_html__("Installed", 'wp-setup-wizard');
        }
        else
        {
            return '<input type="checkbox" class="wpsw_installable" name="wpsw_install_themes[' . $theme['slug'] . ']" id="' . $theme['slug'] . '"/>';
        }
    }
    elseif($type == 'act')
    {
        if( $phpfile = wpsw_is_theme_there( $theme['slug'] ) ) 
        {
            if( wpsw_is_theme_active( $theme['slug'] ) ) 
            {
                return esc_html__("Active", 'wp-setup-wizard');
            }
            else 
            {
                return '<input type="checkbox" class="wpsw_activatable" name="wpsw_activate_themes[' . $theme['slug'] . ']" id="' . $theme['slug'] . '"/>';
            }
        }
        else
        {
            return '<input type="checkbox" class="wpsw_activatable" name="wpsw_activate_themes[' . $theme['slug'] . ']" id="' . $theme['slug'] . '"/>';
        }
    }
}
function wpsw_themes()
{
?>
<div class="wrap gs_popuptype_holder seo_pops">
    <div>
    <?php
    if(isset($_POST['wpsw_manual_themes']) && trim($_POST['wpsw_manual_themes']) != '' && isset( $_POST['wpsw_install_themes_nonce'] ) && wp_verify_nonce( $_POST['wpsw_install_themes_nonce'], 'wpsw_install_themes' ))
    {
        $wpsw_manual_themes = explode(',', $_POST['wpsw_manual_themes']);
        $wpsw_manual_themes = array_map('trim', $wpsw_manual_themes);
        if(isset($_POST['also_activate']) && trim($_POST['also_activate']) != '')
        {
            $act = true;
        }
        else
        {
            $act = false;
        }
        ?><div class="wpsw_plugins_installer"><?php
        wpsw_install_themes( $wpsw_manual_themes, $act );
        ?></div><?php
        echo '<hr/>';
        echo '<h2>' . esc_html__("Installation for listed themes finished.", 'wp-setup-wizard') . '</h2>';
        echo '<p>' . esc_html__("The following themes were installed:", 'wp-setup-wizard') . '</p>';
        echo '<ul>';
        foreach($wpsw_manual_themes as $wpp)
        {
            echo '<li><a href="' . $wpp . '" target="_blank">' . $wpp . '</a></li>';
        }
        echo '</ul>';
        echo '<hr/><br/><br/><br/>';
    }
    if ((isset($_POST['wpsw_install_themes']) && is_array($_POST['wpsw_install_themes']) || isset($_POST['wpsw_activate_themes']) && is_array($_POST['wpsw_activate_themes'])) && isset( $_POST['wpsw_install_themes_nonce'] ) && wp_verify_nonce( $_POST['wpsw_install_themes_nonce'], 'wpsw_install_themes' ) )
    {
        if(isset($_POST['wpsw_install_themes']) && is_array($_POST['wpsw_install_themes']))
        {
            $wpsw_install_themes = $_POST['wpsw_install_themes'];
            $wpsw_install_themes = array_keys($wpsw_install_themes);
            if( !empty( $wpsw_install_themes ) ) 
            {
                ?><div class="wpsw_themes_installer"><?php
                wpsw_install_themes_by_slug( $wpsw_install_themes );
                ?></div><?php
                echo '<hr/>';
                echo '<h2>' . esc_html__("Installation for selected themes finished.", 'wp-setup-wizard') . '</h2>';
                echo '<p>' . esc_html__("The following themes were installed:", 'wp-setup-wizard') . '</p>';
                echo '<ul>';
                foreach($wpsw_install_themes as $wpp)
                {
                    echo '<li><a href="https://wordpress.org/themes/"' . $wpp . '/" target="_blank">https://wordpress.org/themes/' . $wpp . '/</a></li>';
                }
                echo '</ul>';
                echo '<hr/><br/><br/><br/>';
            }
        }
        if(isset($_POST['wpsw_activate_themes']) && is_array($_POST['wpsw_activate_themes']))
        {
            $wpsw_activate_themes = $_POST['wpsw_activate_themes'];
            $wpsw_activate_themes = array_keys($wpsw_activate_themes);
            if( !empty( $wpsw_activate_themes ) ) 
            {
                ?><div class="wpsw_themes_installer"><?php
                wpsw_activate_themes_by_slug( $wpsw_activate_themes );
                ?></div><?php
                echo '<hr/>';
                echo '<h2>' . esc_html__("Activation for selected themes finished.", 'wp-setup-wizard') . '</h2>';
                echo '<p>' . esc_html__("The following themes were activated:", 'wp-setup-wizard') . '</p>';
                echo '<ul>';
                foreach($wpsw_activate_themes as $wpp)
                {
                    echo '<li><a href="https://wordpress.org/themes/"' . $wpp . '/" target="_blank">https://wordpress.org/themes/' . $wpp . '/</a></li>';
                }
                echo '</ul>';
                echo '<hr/><br/><br/><br/>';
            }
        }
    }
    ?>
        <form id="myForm" method="post" action="">
  <div id="cs-tab-vcc-Themes">
  <h2><?php esc_html_e( 'Manual Theme Installer:', 'wp-setup-wizard' ); ?></h2>
  <hr/>
  <table class="form-table">
  <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Add a comma separated list of WordPress theme URLs to install automatically. The URL can be a repository URL: https://wordpress.org/themes/generatepress/ or the direct URL to the zip file: https://coderevolution.ro/path/to/the/theme-file.zip", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Theme URL List to Install:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td colspan="2">
                    <textarea rows="6" class="gs_popuptype_holderx" placeholder="<?php esc_html_e( 'Enter a list of theme urls to install', 'wp-setup-wizard' ); ?>" id="wpsw-manual-themes" name="wpsw_manual_themes"></textarea>
        </div>
    </td></tr>
    <tr><td>
        <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
                                            <?php
    echo esc_html__("Do you want to also activate the last of the above themes, after installation?", 'wp-setup-wizard');
?>
                        </div>
                    </div>
                    <b><?php esc_html_e( 'Activate Last Theme From The List:', 'wp-setup-wizard' ); ?></b>
                    
                    </td><td>
                    <input type="checkbox" id="also_activate" name="also_activate">
        </div>
    </td></tr>
    <tr>
        <td>&nbsp;</td>
        <td>
            <button type="button" id="wpsw-recommended-themes" class="button button-secondary"><?php esc_html_e( 'Add Recommended Theme', 'wp-setup-wizard' ); ?></button>
        </td>
        <td>
            <div><p><input type="submit" name="btnSubmit2" id="btnSubmit2" class="button button-primary cr_fright" onclick="unsaved = false;" value="<?php esc_html_e( 'Install / Activate Themes', 'wp-setup-wizard' ); ?>"/></p></div>
        </td>
    </tr>
    </table>
  <h2><?php esc_html_e( 'Popular Themes:', 'wp-setup-wizard' ); ?></h2>
  <hr/>
<?php
    $count = 1;
    wpsw_settings_themes_tab( 'general', $count++ );
    wpsw_settings_themes_tab( 'ecommerce', $count++ );
    wpsw_settings_themes_tab( 'affiliates', $count++ );
    wpsw_settings_themes_tab( 'business', $count++ );
    wpsw_settings_themes_tab( 'tech', $count++ );
    wpsw_settings_themes_tab( 'realestate', $count++ );
?>
      <?php wp_nonce_field( 'wpsw_install_themes', 'wpsw_install_themes_nonce' ); ?>
         <div><p><input type="submit" name="btnSubmit" id="btnSubmit1" class="button button-primary" onclick="unsaved = false;" value="<?php esc_html_e( 'Install / Activate Themes', 'wp-setup-wizard' ); ?>"/></p></div>
  </div>
    </form>
    </div>
</div>
<?php
}