"use strict"; 
( function( wp ) {
	var registerPlugin = wp.plugins.registerPlugin;
	var PluginSidebar = wp.editPost.PluginSidebar;
	var el = wp.element.createElement;
    
	registerPlugin( 'wpsw-sidebar', {
		render: function() {
            function updateMessage( ) {
                var postId = wp.data.select("core/editor").getCurrentPostId();
                if (confirm("Are you sure you want to get captions for this YouTube video ID?") == true) {
                    document.getElementById('wpsw_submit_post').setAttribute('disabled','disabled');
                    document.getElementById("wpsw_span").innerHTML = 'Processing, please wait... ';
                    var video_id = jQuery("#video_id").val();
                    if(video_id == '')
                    {
                        alert("Please insert a valid YouTube video ID!");
                        return;
                        
                    }
                    var lang = jQuery("#lang").val();
					var data = {
						action: 'wpsw_ajax_callback',
						video_id: video_id,
						lang: lang
					};
					jQuery.post(ajaxurl, data, function(response) {
						if(response.trim() != '')
						{
							var newBlock = wp.blocks.createBlock( "core/paragraph", {
                                content: response,
                            });
                            wp.data.dispatch( "core/editor" ).insertBlocks( newBlock );
                            document.getElementById('wpsw_submit_post').removeAttribute('disabled');
                            document.getElementById("wpsw_span").innerHTML = 'Done! ';
						}
						else
						{
							document.getElementById('wpsw_submit_post').removeAttribute('disabled');
                            document.getElementById("wpsw_span").innerHTML = 'No caption found! ';
						}
					}).fail( function(xhr) 
                    {
                        document.getElementById("wpsw_span").innerHTML = 'Error, please check the plugin\'s \'Activity and Logging\' menu for details!';
                        console.log('Error occured in processing: ' + xhr.statusText + ' - please check plugin\'s \'Activity and Logging\' menu for details.');
                    });
                } else {
                    return;
                }
            }
			return el( PluginSidebar,
				{
					name: 'wpsw-sidebar',
					icon: 'video-alt2',
					title: 'WPSW YouTube Caption Scraper',
				},
				el(
                    'div', 
                    { className: 'coderevolution_gutenberg_div' },
                    el(
                        'span',
                        { className: 'coderevolution_gutenberg_title' },
                        'YouTube Video ID: '
                    ),
                    el(
                    'br'
                    ),
                    el(
                        'input',
                        { type:'text', id:'video_id' }
                    ),
                    el(
                    'br'
                    ),
                    el(
                    'br'
                    ),
                    el(
                        'span',
                        { className: 'coderevolution_gutenberg_title' },
                        'Video Caption Language: '
                    ),
                    el(
                    'br'
                    ),
                    el(
                        'select',
                        { defaultValue: 'en', id:'lang'}, 
                        el(
                            'option',
                            { value: 'en'},
                            'English'
                        ),
                        el(
                            'option',
                            { value: 'fr'},
                            'French'
                        ),
                        el(
                            'option',
                            { value: 'de'},
                            'German'
                        ),
                        el(
                            'option',
                            { value: 'es'},
                            'Spanish'
                        ),
                        el(
                            'option',
                            { value: 'ru'},
                            'Russian'
                        )
                    ),
                    el(
                    'br'
                    ),
                    el(
                    'br'
                    ),
                    el(
                        'input',
                        { type:'button', id:'wpsw_submit_post', defaultValue:'Scrape Captions', onClick: updateMessage, className: 'coderevolution_gutenberg_button button button-primary' }
                    ),
                    el(
                    'br'
                    ),
                    el(
                    'br'
                    ),
                    el(
                        'div', 
                        {id:'wpsw_span'},
                        'Please enter a YouTube video ID! Example:'
                    ),
                    el(
                    'br'
                    ),
                    el(
                        'del', 
                        {id:'wpsw_span'},
                        'https://www.youtube.com/watch?v='
                    ),
                    el(
                        'span', 
                        {id:'wpsw_span'},
                        'HAnw168huqA'
                    ),
                    el(
                    'br'
                    ),
                    el(
                    'br'
                    ),
                    el(
                        'div', 
                        {id:'wpsw_span'},
                        'Please make sure, the YouTube video has captions!'
                    )
				)
			);
		},
	} );
} )( window.wp );